Bug 1882037 - exgw ignores ovn networked pods during pod update
Summary: exgw ignores ovn networked pods during pod update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Tim Rozet
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-23 16:15 UTC by Tim Rozet
Modified: 2020-10-27 16:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:44:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 286 0 None closed Bug 1882037: 9-23-2020 merge 2020-12-01 19:31:06 UTC
Github ovn-org ovn-kubernetes pull 1729 0 None closed Fixes requiring host-network for exgw pods in update 2020-12-01 19:31:06 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:45:23 UTC

Description Tim Rozet 2020-09-23 16:15:22 UTC
Description of problem:
When using a pod as an external gateway, we support either the pod being host networked or using a multus network attachment definition to describe the network interface being use to reach the gateway on the external network. For an ovn networked pod annotated to serve as an external gateway, it requires a multus provided network attachment definition. However this attachment definition is only provided after initial pod add, meaning the pod must be updated with the correct exgw annotations.

The bug is that when we update the pod with the correct exgw annotations, the pod never gets added as an exgw pod. This is because in our update path we were incorrectly ignoring any pod that is not host networked.

Comment 5 errata-xmlrpc 2020-10-27 16:44:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.